function gadget:GetInfo()
	return {
		name = "PieceProjectiles",
		desc = "Fancy falling behaviors for falling Pieces",
		author = "Argh, thanks to Kloot",
		date = "September 4, 2009",
		license = "GPL, v. 2 or later, 2009",
		layer = 1,
		enabled = true,
	}
end


	local GetProjectileType = Spring.GetProjectileType
	local GetProjectileName = Spring.GetProjectileName
	local GetProjectileGravity = Spring.GetProjectileGravity
	local GetProjectileSpinAngle = Spring.GetProjectileSpinAngle
	local GetProjectileSpinSpeed = Spring.GetProjectileSpinSpeed
	local GetProjectileSpinVec = Spring.GetProjectileSpinVec

	local SetProjectileGravity = Spring.SetProjectileGravity
	local SetProjectileSpinAngle = Spring.SetProjectileSpinAngle
	local SetProjectileSpinSpeed = Spring.SetProjectileSpinSpeed
	local SetProjectileSpinVec = Spring.SetProjectileSpinVec
	local SetProjectileCEG = Spring.SetProjectileCEG
	local GetProjectileVelocity = Spring.GetProjectileVelocity
	local SetProjectileVelocity = Spring.SetProjectileVelocity
	local rand = math.random
	local isPiece, projName
	local vecX, vecY, vecZ, turnX, turnY, turnZ


if (gadgetHandler:IsSyncedCode()) then
--------------------------------------------------------------------------------
--  SYNCED
--------------------------------------------------------------------------------
function gadget:ProjectileCreated(pid, proOwnerID)
	_,isPiece = GetProjectileType(pid)

	if isPiece == true then
		projName = GetProjectileName(pid) --> string | nil
	
		--Optional- disable and only run on certain Pieces
		if string.find(projName,"explode_point") or string.find(projName,"column") or string.find(projName,"base") then 
			--do default behaviors
		elseif string.find(projName, "floor") then
			local SetProjectileCollision = Spring.SetProjectileCollision
			SetProjectileCollision(pid,false)
			--Spring.Echo("found heavy")

			--Optional- set gravity
			SetProjectileGravity(pid, -0.03) 

			--Optional- set spin velocity
			spinSpeed = rand(-3,3)
			spinSpeed = spinSpeed / 50
			SetProjectileSpinSpeed(pid, spinSpeed)

			--Optional- set or change initial velocity
			vecX,vecY,vecZ = GetProjectileVelocity(pid)
			SetProjectileVelocity(pid,0,0,0)
			
			--Optional- set spin direction / velocity
			turnX, turnY, turnZ = 0, 0, 0
			randomDir = rand(1,2)
			if randomDir == 1 then turnY = -1.0 else vecY = 1.0 end
			SetProjectileSpinVec(pid,turnX,turnY,turnZ)
		end
	end
end
--------------------------------------------------------------------------------
--  END SYNCED
--------------------------------------------------------------------------------
end